# if virtualenv is created with `--system-site-packages`,
# looks up executables for source version as well if none is
# installed in the virtualenv.
# https://github.com/yyuu/pyenv-virtualenv/issues/62

if [ ! -x "${PYENV_COMMAND_PATH}" ]; then
  virtualenv_prefix="$(pyenv-virtualenv-prefix 2>/dev/null || true)"
  if [ -d "${virtualenv_prefix}" ]; then
    unset include_system_site_packages
    if [ -f "$(pyenv-prefix)/pyvenv.cfg" ]; then
      # pyvenv
      if grep -q -i "include-system-site-packages *= *true" "$(pyenv-prefix)/pyvenv.cfg" 1>/dev/null 2>&1; then
        include_system_site_packages=1
      fi
    else
      # virtualenv
      shopt -s nullglob
      no_global_site_packages="$(echo "$(pyenv-prefix)/lib/"*"/no-global-site-packages.txt")"
      shopt -u nullglob
      if [ ! -f "${no_global_site_packages}" ]; then
        include_system_site_packages=1
      fi
    fi
    if [ -n "${include_system_site_packages}" ]; then
      # virtualenv is created with `--system-site-packages`
      virtualenv_command_path="${virtualenv_prefix}/bin/${PYENV_COMMAND_PATH##*/}"
      if [ -x "${virtualenv_command_path}" ]; then
        PYENV_COMMAND_PATH="${virtualenv_command_path}"
      fi
    fi
  fi
fi
